import request from '@/utils/request'

// 查询测量环境数据列表
export function listEnvData(query) {
  return request({
    url: '/meas/envData/list',
    method: 'get',
    params: query
  })
}

// 查询测量环境数据详细
export function getEnvData(id) {
  return request({
    url: '/meas/envData/' + id,
    method: 'get'
  })
}

// 新增测量环境数据
export function addEnvData(data) {
  return request({
    url: '/meas/envData',
    method: 'post',
    data: data
  })
}

// 修改测量环境数据
export function updateEnvData(data) {
  return request({
    url: '/meas/envData',
    method: 'put',
    data: data
  })
}

// 删除测量环境数据
export function delEnvData(id) {
  return request({
    url: '/meas/envData/' + id,
    method: 'delete'
  })
}
